# WOK
TKWOK
WOKUnix

# WOKUnix_ASyncStatus Class Reference

`#include <WOKUnix_ASyncStatus.hxx>`

Inheritance diagram for WOKUnix_ASyncStatus:

[legend]

## Public Member Functions

Standard_EXPORT | WOKUnix_ASyncStatus ()
Standard_EXPORT | WOKUnix_ASyncStatus (const TCollection_AsciiString &apath)
virtual Standard_EXPORT void | EndCmd (const Handle(WOKUnix_Shell)&ashell)
virtual Standard_EXPORT void | Sync (const Handle(WOKUnix_Shell)&ashell)
virtual Standard_EXPORT void | Reset (const Handle(WOKUnix_Shell)&ashell)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_ASyncStatus::WOKUnix_ASyncStatus | ( |  | ) |

Standard_EXPORT WOKUnix_ASyncStatus::WOKUnix_ASyncStatus | ( | const TCollection_AsciiString & | apath | ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_ASyncStatus::EndCmd | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[virtual]`

| Implements WOKUnix_ShellStatus.

Standard_EXPORT const WOKUnix_ASyncStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKUnix_ShellStatus.

virtual Standard_EXPORT void WOKUnix_ASyncStatus::Reset | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[virtual]`

| Implements WOKUnix_ShellStatus.

virtual Standard_EXPORT void WOKUnix_ASyncStatus::Sync | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[virtual]`

| Implements WOKUnix_ShellStatus.

The documentation for this class was generated from the following file:

- WOKUnix_ASyncStatus.hxx